%define upstream_name    Net-Delicious
%define upstream_version 1.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Constant variables for del.icio.us response messages
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Simple)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FileHandle)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(IO::AtomicFile)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Log::Dispatch)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
OOP for the del.icio.us API

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.140.0-5.mga9
+ Revision: 1829942
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.140.0-4.mga8
+ Revision: 1495819
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.140.0-3.mga7
+ Revision: 1269898
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.140.0-2.mga6
+ Revision: 1031058
- Rebuild for perl 5.22.2

* Mon Jan 18 2016 shlomif <shlomif> 1.140.0-1.mga6
+ Revision: 925435
- imported package perl-Net-Delicious


* Mon Jan 18 2016 cpan2dist 1.14-1mga
- initial mageia release, generated with cpan2dist
